########## 4.2 Cervejas ##########

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
cervejas

##Represente este resultado como um grfico de barras e um dotplot
cervejas2<-sort(table(cervejas))
cervejas2
barplot(cervejas2)
dotchart(cervejas2)

##Qual tem maior razo dado/tinta?
#O dotchart

########## 4.3 Caixetais ##########

caixeta<-read.csv("caixeta.csv", head=T, sep=",")
caixeta

##Construa um histograma do dap dos fustes dos caixetais
#dap diametro = 2*r
#cap = circunferencia = 2*pi*r
caixeta$dap<-caixeta$cap/pi
hist(caixeta$dap)

##Construa histogramas da altura das rvores para os diferentes
##caixetais ('local')
levels(caixeta$local)
hist(caixeta$h[caixeta$local=="chauas"],)
hist(caixeta$h[caixeta$local=="jureia"],)
hist(caixeta$h[caixeta$local=="retiro"],)

##H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#Sim

########## 4.4 Eucaliptos ##########

egrandis<-read.csv("egrandis.csv", head=T, sep=";")
egrandis
summary(egrandis)

##Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em 
##funo das variveis regio (regiao) e rotao (rotacao).
boxplot(egrandis$dap~egrandis$regiao)
boxplot(egrandis$dap~egrandis$rotacao)

##Avalie a normalidade da altura do conjunto total de rvores com um 
##grfico quantil-quantil contra a distribuio normal.
qqnorm(egrandis$ht)
qqline(egrandis$ht)

#parece no ter uma distribuio normal pois os quantis mais extremos 
#teoricos e dos dados empricos no coincidem

########## 4.5 Mais caixetais ##########

caixeta<-read.csv("caixeta.csv", head=T, sep=",")
caixeta
caixeta$dap<-caixeta$cap/pi
caixeta

##Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com 
##a funo plot,mas somente para as rvores de caixeta (Tabebuia cassinoides)

tabebuia<-caixeta[caixeta$especie == "Tabebuia cassinoides",]
tabebuia
tabebuia$area.basal<-pi*(tabebuia$dap/2)^2
tabebuia
tabebuia1<-aggregate(tabebuia$area.basal, by = list(tabebuia$h,tabebuia$local,tabebuia$arvore), sum)
tabebuia1
colnames(tabebuia1)<- c("h", "local", "arvore", "area")
tabebuia1
tabebuia2<-tabebuia1
tabebuia2$dapt<-2*(sqrt(tabebuia1$area/pi))
tabebuia2

par(mfrow=c(1,3))
with(subset(tabebuia2, local=="chauas"),plot(dapt~h,main="chauas"))
with(subset(tabebuia2, local=="retiro"),plot(dapt~h,main="retiro"))
with(subset(tabebuia2, local=="jureia"),plot(dapt~h,main="jureia"))

##Para a mesma relao do item anterior, verifique linearidade com a funo
##scatter.smooth
par(mfrow=c(1,3))
with(subset(tabebuia2, local=="chauas"),scatter.smooth(dapt~h,main="chauas", lpars=list(col="green")))
with(subset(tabebuia2, local=="retiro"),scatter.smooth(dapt~h,main="retiro", lpars=list(col="green")))
with(subset(tabebuia2, local=="jureia"),scatter.smooth(dapt~h,main="jureia", lpars=list(col="green")))

##Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') 
##em funo do caixetal (local), mas somente para as rvores de caixeta
##(Tabebuia cassinoides)

library(lattice)
xyplot(dapt~h|local, data=tabebuia2) 