
---------------- ANOVA NA UNHA -------------------------------------

mudas=read.csv("mudas.csv",sep=",",dec=".",as.is=TRUE, header=T)
mudas
head(mudas)
str(mudas)
summary(mudas)
class(mudas)
table(mudas$especie)
table(mudas$bloco)
table(mudas$substrato)

#Qual  a varivel medida e qual  o fator de interesse?
#RESP: Varivel medida  a altura das plantas

#Quantas rplicas existem para cada dado? 
#RESP:existem 60 rplicas para cada espcie, cada uma com 10 rplicas em cada bloco (que foram 6)
#uma amostra de substrato em cada bloco, totalizando 6 amostras por espcie em cada bloco

#Grficos de substrato variao total, intra-grupos e entre-grupos). 
#graus de liberdade total=numero de obs-1

#COLUNA TAMBORIL

#selecionando somente os dados de tamboril do data.fram
tamboril=mudas[61:120,]
tamboril

#media total das alturas 
media.tamb.alt=mean(tamboril$altura)
media.tamb.alt

#ss.total com a somatria do desvio quadrtico total dos dados.
ss.total=(sum((tamboril$altura-media.tamb.alt)^2))
ss.total


#INTRA 

#tornando substrato em fator
var.fator=factor(tamboril$substrato)
var.fator

#media total das alturas por substrato
media.alt.subst=tapply(tamboril$altura, INDEX=var.fator, FUN=mean)
media.alt.subst


#Crie um objeto chamado ss.intra com a somatria do desvio quadrtico intra-grupos
#como antes eu fiz a mdia, eu s tenho 10 valores. e a minha coluna tem 60! sendo que 
#a cada 6 linhas corresponde a um substrato. Ento preciso criar um vetor que siga essa lgica
#para poder fazer a diferena com a coluna da altura.

col.media.alt.subs=rep(media.alt.subst,each=6)
col.media.alt.subs

ss.intra=sum((tamboril$altura-col.media.alt.subs)^2)
ss.intra

#GRAUS DE LIBERDADE= numero de obs (60)-numero de grupos(10)
#Desvio mdio intra

desv.med.intra=ss.intra/50
desv.med.intra

	
#ENTRE

#Crie um objeto chamado ss.entre com a somatria do desvio quadrtico entre grupos 
#(lembre de levar em conta as diferentes rplicas)

ss.entre=sum((col.media.alt.subs-media.tamb.alt)^2)
ss.entre

#GRAUS DE LIBERDADE=numero de grupos-1=10-9

desv.med.entre=ss.entre/9
desv.med.entre

razao=desv.med.entre/desv.med.intra
razao

prob=pf(razao,9,50)
prob

#pf=f distribution

#Qual  a porcentagem da variao na altura das mudas explicada pela diferena no substrato? 
#Guarde essa porcentagem no objeto porc (e lembre que porcentagem vai de 0 a 100!).

porc=(ss.entre/ss.total)*100
porc

---------------- ANOVA FACIL --------------------------------------

mudas=read.csv("mudas.csv",sep=",",dec=".",as.is=TRUE, header=T)
mudas

tamboril=mudas[61:120,]
tamboril
var.fator=factor(tamboril$substrato)
var.fator
aov.tamboril=aov(tamboril$altura~var.fator)
aov.tamboril
