#### Exerccio 8 - Reamostragem e Simulao
#### Exerccio 1
#1.1 Baixe o arquivo palmadulto.txt e leia os dados no R em um objeto chamado eutad, no esquea de conferir se o objeto de dados foi lido corretamente.
eutad = read.table("palmadulto.txt", sep="\t", header=T, as.is=T)
eutad
str(eutad)
#1.2 Crie o objeto para guardar as distncias entre cada indivduo:
dist=matrix(NA, ncol=102, nrow=102)
#1.3 Calcule a distncia observada entre cada indivduo e guarde o resultados em dist:
for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}
#1.4 Verifique o objeto dist e calcule o parmetro chamado de distncia mdia do vizinho mais prximo (MNN):
dist
str(dist)
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))
#1.5 Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulao
resultado = rep(NA, 1000)
#1.6 Guarde o valor observado na primeira posio de resultado;
resultado[1] = mnn
#1.7 Crie um ciclo com contador (k) que vai de 2 a 1000;
for(k in 2:1000)
{#1.8. Dentro do ciclo:
  #1.8.1 Crie o objetos xsim, um vetor com valores amostrados aleatoriamente de uma distribuio uniforme de 0 a 320 (o tamanho x da parcela), arredondando o valor para uma casa decimal2). Lembre-se de sortear o mesmo quantidade de valores que a populao de palmito observado;
  xsim = round(runif(102, 0, 320), 1)
  #1.8.2 Faa o mesmo que no passo anterior e guarde no objeto ysim
  ysim = round(runif(102, 0, 320), 1)
  #1.8.3 Como no tpico anterior, crie uma matriz para guardar as distncias entre cada valor xy simulados;
  dist.xy = matrix(NA, ncol=102, nrow=102)
  #1.8.4 Crie os ciclos para o calculo das distncias como no tpico anterior;
  for(l in 1:101)
  {
    for(m in (l+1):102)
    {
      difxsim=(xsim[l]-xsim[m])^2
      difysim=(ysim[l]-ysim[m])^2
      dist.xy[l,m]<-sqrt(difxsim + difysim)
      dist.xy[m,l]<-sqrt(difxsim + difysim)
    }
    
  }
  #1.8.5 Guarde o valor da distncia mdia do vizinho mais prximo dos dados simulados na posio k do vetor resultado;
  resultado[k] = mean(apply(dist.xy, 1, min, na.rm=T))
  #1.8.6 Feche o ciclo.
}
#1.9 Faa um histograma dos valores simulados e coloque uma linha vermelha vertical na posio do valor observado;
#Antes vamos subtrair da mdia para ficar centrado no zero
res.m = resultado-mean(resultado)
hist(res.m)
abline(v = res.m[1], col="red")
#1.10 Calcule a probabilidade de uma distribuio espacial aleatria gerar valores iguais ou mais extremos do que o valor MNN observado.
p = sum(res.m<=res.m[1]|res.m>=res.m[1]*-1)/length(resultado)
p

#### Exerccio 2
####Simulando o teste de uma regresso linear
#Lendo o arquivo
animals = read.table("animais.txt", sep=";", dec=",", header=T)
animals
str(animals)
animals = na.omit(animals)
animals
str(animals)
#2.1 Calcule a inclinao da relao log(brain) ~ log(body) 3);
beta = sum((log(animals$brain)-(mean(log(animals$brain))))*(log(animals$body)-mean(log(animals$body))))/sum(((log(animals$brain)-(mean(log(animals$brain))))^2))
beta
#2.2 Crie um vetor para guardar o resultado de simulaes;
res = rep(NA, 1000)
#2.3 Guarde o valor observado no objeto criado em 2.2;
res[1] = beta
res[1]
#2.4 Abra um ciclo de 2 a 1000;
for (n in 2:1000)
  {
  #2.5 Desordene o vetor brain e guarde no objeto sim_brain;
  sim_brain = sample(animals$brain)
  #2.6 Calcule a inclinao entre o log(sim_brain) ~ log(body) e guarde no vetor resultado;
  res[n] = sum((log(sim_brain)-(mean(log(sim_brain))))*(log(animals$body)-mean(log(animals$body))))/sum(((log(sim_brain)-(mean(log(sim_brain))))^2))
  #2.7 Feche o ciclo;
}
#2.8 Faa o histograma dos valores simulados e compare com o valor observado da inclinao da relao;
hist(res)
abline(v = res[1], col="red")
#2.9 Calcule a probabilidade da inclinao observada ter sido gerada por variveis que so independentes;
p2 = sum(res>=res[1])/length(res)
p2
#Obs: O p  menor do que 0.001, seria necessrio uma simulao maior para sabermos seu valor exato.
