#7.2 O modelo mais simples possível
data(Animals)

#Vamos retomar a regressão da massa do cérebro em função da massa corporal de alguns animais, do tutorial ajuste e diagnóstico de uma regressão:
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
                subset=!(log(Animals$body)>8&log(Animals$brain)<6))
summary(anim.m2)

#Agora ajuste este modelo:
anim.m0 <- lm(log(brain)~1, data=Animals, 
                  subset=!(log(Animals$body)>8&log(Animals$brain)<6))
summary(anim.m0)

#E compare os dois:
anova(anim.m0,anim.m2)

#Perguntas
  #1. Qual a relação do comando 'anova' acima com:
anova(anim.m2)

#Resposta: No RSS do ANOVA que inclui os dois modelos, o valor do RSS do modelo 2 é igual ao valor da soma dos desvios quadráticos dos residuos no ANOVA que possui apenas um modelo

  #2. Qual a relação entre os valores obtidos por estes comandos:
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

#Resposta: O Estimate no summary se refere à média realizada acima, e o Residual standard error do summary se refere ao SD.

#Dica
#Um comando mais curto para ajustar o modelo deste exercício, e que ajuda a interpretá-lo:
anim.m0 <- update(anim.m2, .~. -log(body))
