## exercícios 9 ##

# 9.2


an.expl <- function(x,y)
            {
            # verificando premissas x e y devem ser vetores de mesmo tamanho
            if (length(x) != length(y))
              {
              stop("As variáveis x e y devem ser vetores de mesmo tamanho")
              }
            #retirando NAs
            x <- na.omit(x)
            y <- na.omit(y)
            #dispositivo gráfico
            x11()
            #parâmetros globais
            par(mar=c(4,4,2,2),mfrow=c(3,2), bty="l")
            #histogramas
            hist(x,col="green", main="Histograma de x", xlab="Distribuição de x", ylab="Frequência")
            hist(y,col="blue", main="Histograma de y", xlab="Distribuição de y", ylab="Frequência")
            #graficos quantis
            qqnorm(x,col="green", main="Gráfico Quantil x Quantil", xlab="Quantil teórico", ylab="Quantil de x")
            qqline(x)
            qqnorm(y,col="blue", main="Gráfico Quantil x Quantil", xlab="Quantil teórico", ylab="Quantil de y")
            qqline(y)
            #boxplots
            boxplot(x,y,col=c("green", "blue"), main="Boxplots")
            # y ~ x
            plot(y ~ x, pch=19, xlab="variável x", ylab="variável y", main="Relação y ~ x", col="green")
            #coef correlação
            c <- cor(x,y)
            names(c) <- "Coef. Cor"
            #summarys
            sm <- data.frame(Summary.x = as.numeric(summary(x)), Summary.y = as.numeric(summary(y)))
            rownames(sm) <- names(summary(x))
            result <- list(cor, sm)
            return(result)
            }


v1 <- rnorm(100,50,2)
v2 <- rnorm(100,50,1)
an.expl(v1,v2)

