#Exerccios 4 - Anlises Exploratrias
#--------------------------------------------------------------------------------------
#4.2 Cervejas
#--------------------------------------------------------------------------------------
#Vetor com dados:
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
cervejas

#1. Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
par(mfrow=c(2,1))
barplot(table(cervejas))
dotchart(table(cervejas))

#2.Qual tem maior razo dado/tinta?
#O dotchart, pois apresenta o mesmo dado utilizando menos tinta

#--------------------------------------------------------------------------------------
#4.3 Caixetais
#--------------------------------------------------------------------------------------
#upload do dados
caixeta <- read.csv("caixeta.csv", as.is=T)

#verificando dados
head(caixeta)
str(caixeta)

#1.Construa um histograma do dap dos fustes dos caixetais.
##Lembrar de que cap  a circunferncia do tronco a 1,3 m de altura,
##fuste: identificador dos ramos principais de cada rvore (repete-se entre rvores)
##h: altura do fuste mais alto do indivduo (repete para os fustes da mesma rvore)
##o dimetro  dado pela circunferncia (cap)dividido por pi: cap/pi
caixeta$dap <- ((caixeta$cap)/pi) #criando uma coluna dap dentro de caixeta
#verificando dados novamente
head(caixeta)
str(caixeta)
hist(caixeta$dap) #criando histograma da coluna dap

#2.Construa histogramas da altura das rvores para os diferentes caixetais ('local').
levels(caixeta$local)#verificando quantos niveis tem local
par(mfrow=c(3,1))
hist((caixeta$h[caixeta$local=="chauas"]),main="Altura em das rvores em Chauas",xlab="altura das rvores para chauas")
hist((caixeta$h[caixeta$local=="jureia"]),main="Altura em das rvores em Jureia", xlab="altura das rvores para jureia")
hist((caixeta$h[caixeta$local=="retiro"]),main="Altura em das rvores em Retiro", xlab="altura das rvores para retiro")

#3.H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
Sim, as frequncias em que ocorrem as alturas das rvores  diferenete entre os locais. 

#--------------------------------------------------------------------------------------
#4.4 Eucaliptos
#--------------------------------------------------------------------------------------
#upload do dados
e.grandis <- read.csv("egrandis.csv", dec=".", sep=";", as.is=T)
#verificando dados 
head(e.grandis)
str(e.grandis)
#1.Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao)
boxplot((e.grandis$dap~e.grandis$regiao+e.grandis$rotacao), xlab="regio:rotao",ylab="DAP de rvores de E. grandis",main="DAP de rvores de E. grandis em funo \n das variveis regio e rotao")
#2.Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
qqnorm(e.grandis$ht)
qqline(e.grandis$ht, col = "red")#plotar a linha 
#Aparentemente, os dados de "egrandis" no seguem a distribuio normal, pois, o grfico de quantil terico versus quantil amostral identifica que h distio entre esses dados. 

#--------------------------------------------------------------------------------------
4.5 Mais Caixetais
#--------------------------------------------------------------------------------------
#upload do dados
caixeta <- read.csv("caixeta.csv", as.is=T)

#verificando dados
head(caixeta)
str(caixeta)

#1.Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com a funo plot, mas somente para as rvores 2) de caixeta (Tabebuia cassinoides)

#seleo de linhas com Tabebuia cassinoides
selecao <- subset(caixeta, caixeta$especie == "Tabebuia cassinoides", select = local:especie) 

#verificando dados 
head(selecao)
str(selecao)

#Acrescentar dados de DAP dos fustes dos caixetais em selecao.
##Lembrar de que cap  a circunferncia do tronco a 1,3 m de altura,
##fuste: identificador dos ramos principais de cada rvore (repete-se entre rvores)
##h: altura do fuste mais alto do indivduo (repete para os fustes da mesma rvore)
##o dimetro  dado pela circunferncia (cap)dividido por pi: cap/pi

selecao$dap <- ((selecao$cap)/pi)#criando uma coluna dap dentro de selecao

#verificando dados 
head(selecao)
str(selecao)
par(mfrow=c(2,1))
plot(selecao$dap~selecao$local, data=selecao, xlab="local", ylab="DAP")
plot(selecao$h~selecao$local, data=selecao, xlab="local", ylab="altura")

#2.Para a mesma relao do item anterior, verifique linearidade com a funo 
with(selecao, scatter.smooth(selecao$local, selecao$h,xlab = "Local", ylab = "Altura"))
with(selecao, scatter.smooth(selecao$local, selecao$dap,xlab = "Local", ylab = "DAP"))

#3.Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores 3) de caixeta (Tabebuia cassinoides)
library(lattice)
xyplot(selecao$h~selecao$dap|selecao$local, data= selecao)

