getwd()
##Exerccios 8. Reamostragem e simulao
##1.

eutad <- read.table("palmadulto.csv", header=TRUE, sep=";")
eutad
plot(eutad$gy~eutad$gx)
##matriz vazia para preencher com dados
dist=matrix(NA, ncol=102, nrow=102)
for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}
dist
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

##vetor "vazio" para preencher com resultados
resultado <- rep(NA, 1000)
resultado[1] <- mnn
##fazer 1000 marizes aleatrios
for(k in 2:1000)
{
  ##dados para a matriz
  xsim=runif(102,0,320)
  ysim=runif(102,0,320)
  dist=matrix(NA, ncol=102, nrow=102)
  ##rodar colunas e depois linhas (i,j)
  for(i in 1:101)
  {
    for(j in (i+1):102)
    {
      ##clculo da distncia entre pontos (pitgoras)
      difx2=(xsim[i]-xsim[j])^2
      dify2=(ysim[i]-ysim[j])^2
      dist[i,j]<-sqrt(difx2 + dify2)
      dist[j,i]<-sqrt(difx2 + dify2)
    }
    
  }
  nn<-apply(dist, 1, min, na.rm=TRUE)
  resultado[k]<-mean(nn)
  }
hist(resultado)
abline(v = resultado[k], col="red")

##probabilidade de uma distribuio espacial aleatria gerar valores
##iguais ou mais extremos do que o valor MNN observado
p.mnn <- sum(resultado<=resultado[k])/1000
p.mnn

##2.
anim <- read.table("animais.txt", header=TRUE, sep=";", dec=",")
anim
table(apply(is.na(anim),1,sum))
animais <- anim[apply(is.na(anim),1,sum)==0,]
animais
body <- as.numeric(animais$body)
brain <- as.numeric(animais$brain)
lg.body <- log(body)
lg.brain <- log(brain)
inclin <- (sum((lg.body-mean(lg.body))*(lg.brain-mean(lg.brain))))/(sum(lg.body-mean(lg.body))^2)
inclin
plot(log(brain)~log(body))

##vetor simulaes
simul <- rep(NA, 1000)
##guardar valor observado
simul[1] <- inclin

for(l in 2:1000)
{
  sim_brain <- sample(brain)
  resultado <- (sum((lg.body-mean(lg.body))*(log(sim_brain)-mean(log(sim_brain)))))/(sum(lg.body-mean(lg.body))^2) 
}
hist(simul,xlim=c(-0.8,0.8)) 

##probabilidade 
p.inclin <- sum(simul>=simul[1] | simul<=(simul[1]*-1))/1000
p.inclin
