#### Exerccio 9 - Construo de Funes
#### 9.2 Exerccio Anlise exploratria simultnea de duas variveis
#Tarefa: Crie uma funo para sada grfica de anlises exploratrias de duas variveis. Essa sada pode ter por exemplo boxplot, histograma, qq norm e y por x. A funo deve permitir a entrada de dois objetos vetores de mesmo tamanho (x e y). Caso os valores de x e y forem desenhados em um mesmo grfico, defina cores diferentes. As legendas devem ser em portugus e a sada (return) deve apresentar o sumrio das duas variveis e o coeficiente de correlao.
#Criando a funo
plotxy = function(x, y)
    { #### Definindo erros ####
      if(length(x) != length(y))
         {
           stop("Os vetores x e y devem ser de mesmo tamanho")
         }
      #### Construindo os grficos ####
      par(mfrow = c(2,3))
      par(las=1)
      hist(x, col=rgb(0,1,1, 0.5), 
           main=c("Histograma de ",deparse(substitute(x))),
           ylab="Frequncia",
           xlab="")
      hist(y, col=rgb(0,0,1, 0.5), 
           main=c("Histograma de",deparse(substitute(y))),
           ylab="",
           xlab="")
      plot(x,y, pch=19, col=rgb(0,0,0, 0.3), 
           main="Grfico de\nCorrelao",
           ylab=deparse(substitute(y)),
           xlab=deparse(substitute(x)))
      abline(lm(y~x), lwd=2, col=rgb(1,0,0, 1))
      qqnorm(x, col=rgb(0,1,1, 0.5),
             main="Grfico Q-Q",
             ylab="Quantis amostrados",
             xlab="Quantis tericos")
      qqline(x, lwd=2, col=rgb(1,0,0, 1))
      qqnorm(y, col=rgb(0,0,1, 0.5),
             main="Grfico Q-Q",
             ylab="",
             xlab="Quantis tericos")
      qqline(y, lwd=2, col=rgb(1,0,0, 1))
      boxplot(x,y, col=c(rgb(0,1,1, 0.5), rgb(0,0,1, 0.5)))
      mtext("Boxplot", 3, 1.35, font=2, cex=0.8)
      par(mfrow=c(1,1))
      par(las=0)
      #### Criando o arquivo de sada ####
      list = list(SumrioX=summary(x), SumrioY=summary(y), Correlao=cor(x,y))
      return(list)
    }

# Testando a funo
x = rnorm(500,2)
y = rnorm(500,8)
xy = plotxy(x,y)
xy
z = rnorm(500,2)
w = rnorm(499,2)
zw = plotxy(z,w)
