paja=read.table("aves_cerrado.csv", sep = ";", dec = ".", header = T, as.is = T)
aves= data.frame(na.omit(paja))
aves=subset(aves,select = c(fisionomia,seriema, carcara))
aves$fisionomia[aves$fisionomia=="ce"]="Ce"
aves$fisionomia=factor(aves$fisionomia)
summary(aves$fisionomia)
mod.ce=lm(aves$carcara~aves$seriema, subset = aves$fisionomia=="Ce")
mod.cc=lm(aves$carcara~aves$seriema, subset = aves$fisionomia=="CC")
mod.cl=lm(aves$carcara~aves$seriema, subset = aves$fisionomia=="CL")
res.ce=summary(lm(aves$carcara~aves$seriema, subset = aves$fisionomia=="Ce"))
res.cc=summary(lm(aves$carcara~aves$seriema, subset = aves$fisionomia=="CC"))
res.cl=summary(lm(aves$carcara~aves$seriema, subset = aves$fisionomia=="CL"))
p.ce=res.ce$coefficients[2,4]
p.cc=res.ce$coefficients[2,4]
p.cl=res.ce$coefficients[2,4]
coef.ce=coef(mod.ce)
coef.cc=coef(mod.cc)
coef.cl=coef(mod.cl)
