### Exercicio 4.2. Cervejas.

#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")

#Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
cervejas=factor(cervejas)
plot(cervejas,xlab="Preferena", ylab="Frequncia",col="darkgreen")




### Exerccio 4.3. Caixetais

caix=read.table("caixeta.csv", header = T, sep =",",as.is = T)

#Construa um histograma do dap) dos fustes dos caixetais.
caix$dap=2*(caix$cap/(2*pi))
hist(caix$dap)


#Construa histogramas da altura das rvores para os diferentes caixetais ('local').
par(mfrow=c(2,2))
caix$local=factor(caix$local)
hist(caix$h[caix$local=="chauas"],breaks = 20)
hist(caix$h[caix$local=="jureia"],breaks = 20)
hist(caix$h[caix$local=="retiro"],breaks = 20)
hist(caix$h,breaks = 20)

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?

#Sim. A distribuio em Chauas tem uma cauda longa para a direita que no est presente em os outros locais. Tambm a quantidade de observaes em este local  muito maior do que em os outros locais. Alm disso, o local Retiro difere dos outros porque as alturas mais comuns so de 50 m aproximadamente, e em os outros dois locais so mais comuns arvores de alturas perto dos 100m.




### Exerccio 4.4. Eucaliptos
grand=read.table("egrandis.csv",header = T, sep = ";",as.is = T)



#Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).

boxplot(dap~regiao,data = grand) #Todas as regies tem as medianas, os quarties 25 e 75 semelhantes. No entanto, Bofete presenta uma grande quantidade de outliers muito por acima do que as outras regies.

boxplot(dap~rotacao,data = grand)#A rotao 1 presenta valores maiores nos quarties 25, 50 e 75, e muitos outliers. 



#Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.


qqnorm(grand$ht)
qqline(grand$ht) 

#O grfico mostra que a cauda esquerda  menor do esperado e a direita muito maior do que se espera para uma distribuio normal. Segundo essas caractersticas eu suspeito fortemente que os valores no so normais.




### Exerccio 4.5. Mais Caixetais


#Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com a funo plot, mas somente para as rvores 2) de caixeta (Tabebuia cassinoides).


tc=caix[caix$especie=="Tabebuia cassinoides",]

plot(tc$dap[tc$loca=="chauas"],tc$h[tc$loca=="chauas"],ylab = "Altura", xlab="DAP")# o grafico mostra que para aumentos de DAP de at 100 unidades a altura muda muito o pouco, portanto a relao entre as variveis  muito baixa
plot(tc$dap[tc$loca=="jureia"],tc$h[tc$loca=="jureia"],ylab = "Altura", xlab="DAP")# ao contrario que em Chauas, parece que a altura e o DAP das rvores de Tabebuia cassinoides esto relacionadas, o grafico mostra que quando o DAP aumenta, a altura tambn aumenta. No entanto no sei se essa relao que tem melhor ajuste para estas variveis  linear.  
plot(tc$dap[tc$loca=="retiro"],tc$h[tc$loca=="retiro"],ylab = "Altura", xlab="DAP")# parece que quando as rvores tem DAP entre 0 e 75 unidades (aproximadamente), a variao da altura  muito alta. no entanto parece que as variveis tem uma relao positiva em rvores com DAP maiores a 75 unidades.  



#Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth

scatter.smooth(tc$dap[tc$loca=="chauas"],tc$h[tc$loca=="chauas"])
scatter.smooth(tc$dap[tc$loca=="jureia"],tc$h[tc$loca=="jureia"])
scatter.smooth(tc$dap[tc$loca=="retiro"],tc$h[tc$loca=="retiro"])
#segundo as formas das linhas, parece que s em chauas a relao entre as variveis  linear, mas com uma inclinao perto de 0.


#Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores 2) de caixeta (Tabebuia cassinoides).

xyplot(tc$h~tc$dap|tc$local)


