#Exercício 2 - AUla 8 

###############################################
###Simulando o teste de uma regressão linear###

#abrindo a tabela
vert <- read.table("animais.txt", sep=";", header=TRUE, dec=",")
vert=na.omit(vert)

lm(log(brain)~log(body), data = vert)

beta1=sum(((log(vert$body)-log(mean(vert$body))*(log(vert$brain)-log(mean(vert$brain))))))/sum(((log(vert$body)-log(mean(vert$body)))^2))

coef(lm(log(brain)~log(body), data = vert))

simula= rep(NA, 1000)
simula[1]=beta1

for(i in 2:1000)
{
  vert$sim_brain= sample(vert$brain)
  simula[i] <- coef(lm(log(sim_brain) ~ log(body), data=vert))[[2]]
  
}
hist(simula)
abline(v=simula[1], col="red")
p.vl=sum(simula>=simula[1])/length(simula)
