#Reamostragem e simulação - exerc. 1 - Aula 8

eutad<-read.table("palmadulto.txt", header = TRUE, sep = "\t")


#Crie o objeto para guardar as distâncias entre cada indivíduo
dist=matrix(NA, ncol=102, nrow=102)


#Calcule a distãncia observada entre cada indivíduo e guarde o resultados em dist
for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}

#Verifique o objeto dist e calcule o parâmetro chamado de distância média do vizinho mais próximo (MNN):

dist

(nn<-apply(dist, 1, min, na.rm=TRUE)) 
(mnn<-mean(nn)) #distância média do vizinho mais próximo

#Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulação

res <- rep(NA, each=1000)

#Guarde o valor observado na primeira posição de resultado
res[1]<-mnn

for(k in 2:1000)
{
  xsim<-round(runif(102, min=0, max=320), 1)
  ysim<-round(runif(102, min=0, max=320), 1)
  juju<-matrix(NA, 102, 102)
  
  for(i in 1:101)
  {
    for(j in (i+1):102)
    {
      difx2=(xsim[i]-xsim[j])^2
      dify2=(ysim[i]-ysim[j])^2
      juju[i,j]<-sqrt(difx2 + dify2)
      juju[j,i]<-sqrt(difx2 + dify2)
    }
    
  }
  res[k]<- mean(apply(juju, 1, min, na.rm=TRUE))
}


mres <- mean(res) - res

hist(mres)
abline(v=mres[1], lty=2, col="red")
abline(v=mres[1]*-1, lty=2,  col="red")


#calcular o valor de p
p.vl <- sum(mres >= mres[1]| mres <= mres [1]*-1) / length(mres)

